// DlgShutDown.cpp: implementation of the DlgShutDown class.
//
//////////////////////////////////////////////////////////////////////


#include "DlgShutDown.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif
#define ID_ICONDATA 10001
#define ID_START_TIMER 100001
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

//START MESSAGE MAPPINH
BEGIN_MESSAGE_MAP(DlgShutDown,CDialog)
//APPLICATION MESSAGE HANDLLING

ON_BN_CLICKED(IDC_BTSTOPTIMER,OnStopTimer)
ON_BN_CLICKED(IDC_BTSETTIMER,OnSetTimer)
               
ON_BN_CLICKED(IDC_BTSHUTDOWNNOW,OnShutdownNow)
ON_BN_CLICKED(IDC_BTPOWEROFF,OnPowerOff)
ON_BN_CLICKED(IDC_BTLOGOFF,OnLogOff)
ON_BN_CLICKED(IDC_BTRESTART,OnRestart)

ON_BN_CLICKED(ID_DIALOG_PAUSEALARM,OnPauseTimer)
ON_BN_CLICKED(ID_DIALOG_STARTALARM,OnPauseTimer)

               
//radio button message handlling
ON_BN_CLICKED(IDC_RADIO_RESTART,OnRadioRestart)
ON_BN_CLICKED(IDC_RADIO3,OnRadioPowerOff)
ON_BN_CLICKED(IDC_RADIO4,OnRadioLogOff)
ON_BN_CLICKED(IDC_RADIO2,OnRadioShutDown)

ON_BN_CLICKED(ID_ABOUT_HELP,OnAboutHelp)
ON_MESSAGE(WM_USER+75,OnSystemBarMessage)


////popup menu messages

ON_COMMAND(ID_POPUP_OPENALARM,OnOpenAlarm)
ON_COMMAND(ID_POPUP_PAUSEALARM,OnPauseTimer)
ON_COMMAND(ID_POPUP_MINIMIZESHUTDOWNTIMER,OnMiniMizeShutDownTimer)
ON_COMMAND(ID_POPUP_EXITALARM,OnExitAlarm)
//SYSTEM MESSAGE HANDLING

//WINDOW MESSAGE  HANDLING
ON_WM_HSCROLL()
ON_WM_DESTROY()
ON_WM_TIMER()
ON_WM_PAINT()
ON_WM_SIZE()
//debug

END_MESSAGE_MAP()


//END MESSAGE MAPPING

BOOL DlgShutDown::OnInitDialog()
{  
     


	m_Icon=AfxGetApp()->LoadIcon(IDI_ICON2);
	bShow=FALSE;
    bMiniShow=FALSE;

	m_ftArialFont.CreateFont(40,0,0,0,FW_BOLD,false,false,false,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,FF_DONTCARE,"Arial Black");
	m_ftSecondFont.CreateFont(20,0,0,0,FW_BOLD,false,false,false,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,FF_DONTCARE,"Monotype Corsiva");


	//NOTIFYICONDATA m_niData;
     //handling the ICON at System Tray Icon
	m_niData.cbSize=sizeof(NOTIFYICONDATA);
    m_niData.hIcon=m_Icon;
	m_niData.hWnd=this->m_hWnd;
	sprintf(m_niData.szTip,"Shut Down Alarm :My Father Software inc @ 2003");
	m_niData.uCallbackMessage=WM_USER+75;
	m_niData.uFlags=NIF_ICON|NIF_MESSAGE|NIF_TIP;
	m_niData.uID=ID_ICONDATA;
    Shell_NotifyIcon(NIM_ADD,&m_niData);
 
	CTime time=CTime::GetCurrentTime();
    
	//slider of minute and hour
	m_psliderHour=(CSliderCtrl*)GetDlgItem(IDC_SLIDERHOUR);
	m_psliderHour->SetRange(0,23);
	m_psliderHour->SetPos(time.GetHour());
    m_psliderMinute=(CSliderCtrl*)GetDlgItem(IDC_SLIDERMINUTE);
	m_psliderMinute->SetRange(0,59);
    m_psliderMinute->SetPos(time.GetMinute());
    
	m_neditHour=time.GetHour();
	m_neditMinute=time.GetMinute();
	 

	//slider of date

    m_pSliderDate=(CSliderCtrl*)GetDlgItem(IDC_SLIDERDATE);
	m_pSliderDate->SetRange(0,1);
    
	m_pStaticGroupType=(CStatic*)GetDlgItem(IDC_STATIC_GROUP_TYPE);
	m_pStaticAlarm=(CStatic*)GetDlgItem(IDC_STATIC_TYPE_ALARM);
	m_pStaticTimeout=(CStatic*)GetDlgItem(IDC_STATIC_TYPE_TIMEOUT);



    //hidden Member Inisilization
	
	m_pGroupTimeLeft=(CStatic*)GetDlgItem(IDC_STATICGROUPTIMELEFT);
	m_pStTimeLeft=(CStatic*)GetDlgItem(IDC_STATICTIMELEFT);
	m_pStTimeLeft->SetFont(&m_ftSecondFont);
	m_pBtPauseTimer=(CButton*)GetDlgItem(IDC_BTSTOPTIMER);
	m_pStaticPaused=(CStatic*)GetDlgItem(IDC_STATIC_PAUSED);
    m_pStaticPaused->SetFont(&m_ftArialFont);
    m_pButtonPauseAlarm=(CButton*)GetDlgItem(ID_DIALOG_PAUSEALARM);
	m_pButtonStartAlarm=(CButton*)GetDlgItem(ID_DIALOG_STARTALARM);

    
	//showing member Inisilization
    
	m_pEditHour=(CEdit*)GetDlgItem(IDC_EDITHOUR); 
     m_pEditMinute=(CEdit*)GetDlgItem(IDC_EDITMINUTE); 
     m_pBtSetTimer=(CButton*)GetDlgItem(IDC_BTSETTIMER);
     m_pStaticGroupSetTime=(CStatic*)GetDlgItem(IDC_GROUPSETALARM); 
     m_pStaticHour=(CStatic*)GetDlgItem(IDC_STATIC_ALARM_HOUR); 
     m_pStaticMinute=(CStatic*)GetDlgItem(IDC_STATIC_ALARM_MINUTE); 
     m_pStaticGroupProperties=(CStatic*)GetDlgItem(IDC_STATICPROPERTIES);

     ///time out member insilization
	 m_pStaticGroupTimeOut=(CStatic*)GetDlgItem(IDC_GROUP_TIMEOUT);
	 m_pStaticTimeOutHour=(CStatic*)GetDlgItem(IDC_STATIC_TIMEOUT_HOUR);
	 m_pEditTimeOutMinute=(CEdit*)GetDlgItem(IDC_EDIT_TIMEOUT_MINUTE);
	 m_pEditTimeOutHour=(CEdit*)GetDlgItem(IDC_EDIT_TIMEOUT_HOUR);
	 m_pStaticTimeOutMinute=(CStatic*)GetDlgItem(IDC_STATIC_TIMEOUT_MINUTE);
	
	 //DIGITAL CLOCK

	m_pstCurrentTime=(CStatic*)GetDlgItem(IDC_STATICCURRENTTIME);
	m_pstCurrentTime->SetFont(&m_ftArialFont);
     

	/*
	m_pGroupTimeLeft=(CStatic*)GetDlgItem(IDC_RADIO2);
	m_pGroupTimeLeft
	*/
	//inislization of some values
//    CTime time=CTime::GetCurrentTime();
	m_btShutDown=(CButton*)GetDlgItem(IDC_BTSHUTDOWNNOW);
	m_nEditTimeOutMinute=m_nEditTimeOutHour=0;
	m_szCurrentTime.Format("%d : %d : %d",time.GetHour(),time.GetMinute(),time.GetSecond());
	m_nRadioValue=1;
	m_szStaticPaused="PAUSED";
	m_nRadioDate=0;
	bShowPaused=FALSE;
	UpdateData(FALSE);
	SetTimer(1,1000,NULL);
    
////displaying TileBar Image
  
//

	SetIcon(m_Icon, TRUE);			// Set big icon
	SetIcon(m_Icon, FALSE);		// Set small icon

	return true;
}

void DlgShutDown::DoDataExchange(CDataExchange *pDx)
{
	/////ALARM MEMBER

   DDX_Text(pDx,IDC_EDITHOUR,m_neditHour);
   DDV_MinMaxInt(pDx,m_neditHour,0,23);
   DDX_Text(pDx,IDC_EDITMINUTE,m_neditMinute);
   DDV_MinMaxInt(pDx,m_neditMinute,0,59);
   DDX_Text(pDx,IDC_STATICCURRENTTIME,m_szCurrentTime);
   DDX_Text(pDx,IDC_STATICTIMELEFT,m_szTimeLeft);
   DDX_Text(pDx,IDC_STATIC_PAUSED,m_szStaticPaused);
   DDX_Radio(pDx,IDC_RADIO_RESTART,m_nRadioValue);
   
   ///TIME OUT MEMBER
   DDX_Text(pDx,IDC_EDIT_TIMEOUT_MINUTE,m_nEditTimeOutMinute);
   //DDV_MinMaxInt(pDx,m_nEditTimeOutMinute,0,59);
   DDX_Text(pDx,IDC_EDIT_TIMEOUT_HOUR,m_nEditTimeOutHour);
   DDV_MinMaxInt(pDx,m_nEditTimeOutHour,0,1000);
   
}


/////main on set timer function starting here


      void DlgShutDown::OnSetTimer()
{
      	m_nHour=m_nMinute=0;


        
		if(m_nRadioDate==0)
		{
			UpdateData();
          m_nHour=m_neditHour;
      	  m_nMinute=m_neditMinute;
      
      	  CTime m_CTime=CTime::GetCurrentTime();
      	
		if(m_CTime.GetHour()>=m_nHour)
		{
      		if(m_CTime.GetMinute()>=m_nMinute)
			{
      		  MessageBox("The Time has Passed");
      		 return;
			}
      		
		}
		
		//showing confirmation message box
			CString tempStr;
        ///giving function
		 switch(m_nRadioValue)
		 {
		 case 0:	tempStr="You Have Selected SHUTDOWN TIMER for  ReStart \n it Now MiniMize You can Access it at System Tray"; 
	      				break;
        case 1:   tempStr="You Have Selected SHUTDOWN TIMER for  ShutDown \n it Now MiniMize You can Access it at System Tray"; 	
						break;
		case 2: tempStr="You Have Selected SHUTDOWN TIMER for  PowerOff \n it Now MiniMize You can Access it at System Tray";
			break;
		case 3:	tempStr="You Have Selected SHUTDOWN TIMER for  LogOFF \n it Now MiniMize You can Access it at System Tray";
					break;			

		 }


	MessageBox(tempStr,"SHUT DOWN TIMER");
         //hiding visible member

		
      	   m_pEditHour->ShowWindow(SW_HIDE);
           m_pEditMinute->ShowWindow(SW_HIDE);
           
           m_pStaticGroupSetTime->ShowWindow(SW_HIDE);
           m_pStaticHour->ShowWindow(SW_HIDE);
           m_pStaticMinute->ShowWindow(SW_HIDE);  
        
           m_psliderHour->ShowWindow(SW_HIDE);
           m_psliderMinute->ShowWindow(SW_HIDE);
               	 	
		}

		if(m_nRadioDate==1)
		{    
			UpdateData();
			 m_nTimeOutHour=m_nEditTimeOutHour;
		     m_nTimeOutMinute=m_nEditTimeOutMinute;
             m_nTimeOutSecond=0;
            m_pStaticGroupTimeOut->ShowWindow(SW_HIDE);
			m_pStaticTimeOutHour->ShowWindow(SW_HIDE);
			m_pEditTimeOutMinute->ShowWindow(SW_HIDE);
	        m_pEditTimeOutHour->ShowWindow(SW_HIDE);
	        m_pStaticTimeOutMinute->ShowWindow(SW_HIDE);
         

		}
        
         
        ////COMMON TO BOTH PROPERTIES

		m_pBtSetTimer->ShowWindow(SW_HIDE);
		m_pStaticGroupType->ShowWindow(SW_HIDE);
	    m_pStaticAlarm->ShowWindow(SW_HIDE);
    	m_pStaticTimeout->ShowWindow(SW_HIDE);
        m_pSliderDate->ShowWindow(SW_HIDE);
		 //hiding radio button  
         m_pStaticGroupProperties->ShowWindow(SW_HIDE);

		 m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO_RESTART);
         m_pRadioButton->ShowWindow(SW_HIDE);
          
         m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO2);
         m_pRadioButton->ShowWindow(SW_HIDE);
          
      	 m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO3);
         m_pRadioButton->ShowWindow(SW_HIDE);
          
      	 m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO4);
         m_pRadioButton->ShowWindow(SW_HIDE);
         	
       ///showing Hidden Member
      
        m_pGroupTimeLeft->ShowWindow(SW_SHOW);
      	m_pStTimeLeft->ShowWindow(SW_SHOW);
      	m_pBtPauseTimer->ShowWindow(SW_SHOW);
		  m_pButtonPauseAlarm->ShowWindow(SW_SHOW);
      
      ///setting timer	 
      	 KillTimer(1);
		 bShow=TRUE;
      	SetTimer(ID_START_TIMER,1000,NULL);
        bShowPaused=TRUE;      
		this->ShowWindow(SW_HIDE);
		this->OnTimer(ID_START_TIMER);
      	
		
      }





void DlgShutDown::OnHScroll(UINT nSBCode,UINT nPos,CScrollBar *pScrollBar)
{
	UpdateData(true);

 if((CSliderCtrl*)pScrollBar==m_psliderHour)
 {	 
    m_neditHour=m_psliderHour->GetPos();
	UpdateData(false);
 }
      else if((CSliderCtrl*)pScrollBar==m_psliderMinute)
	  {
	   m_neditMinute=m_psliderMinute->GetPos();
	  }
else if((CSliderCtrl*)pScrollBar==m_pSliderDate)
	  {
	   m_nRadioDate=m_pSliderDate->GetPos();

	   if(m_nRadioDate==0)
	   {
          /////SHOWING THE  CONTROL
           m_pEditHour->ShowWindow(SW_SHOW);
           m_pEditMinute->ShowWindow(SW_SHOW);
          
           m_pStaticGroupSetTime->ShowWindow(SW_SHOW);
          m_pStaticHour->ShowWindow(SW_SHOW);
           m_pStaticMinute->ShowWindow(SW_SHOW);  
           m_psliderHour->ShowWindow(SW_SHOW);
           m_psliderMinute->ShowWindow(SW_SHOW);
        ////////HIDING  TIMEOUT MEMBER
		    m_pStaticGroupTimeOut->ShowWindow(SW_HIDE);
			m_pStaticTimeOutHour->ShowWindow(SW_HIDE);
			m_pEditTimeOutMinute->ShowWindow(SW_HIDE);
	        m_pEditTimeOutHour->ShowWindow(SW_HIDE);
	        m_pStaticTimeOutMinute->ShowWindow(SW_HIDE);//*/
	   }
	   else
	   {  /////HIDING THE CONTROL
		   
           m_pEditHour->ShowWindow(SW_HIDE);
           m_pEditMinute->ShowWindow(SW_HIDE);
           
           m_pStaticGroupSetTime->ShowWindow(SW_HIDE);
		   
           m_pStaticHour->ShowWindow(SW_HIDE);
           m_pStaticMinute->ShowWindow(SW_HIDE);  
           m_psliderHour->ShowWindow(SW_HIDE);
           m_psliderMinute->ShowWindow(SW_HIDE);
        ////////SHOWING HIDDEN MEMBER
            m_pStaticGroupTimeOut->ShowWindow(SW_SHOW);
			m_pStaticTimeOutHour->ShowWindow(SW_SHOW);
			m_pEditTimeOutMinute->ShowWindow(SW_SHOW);
	        m_pEditTimeOutHour->ShowWindow(SW_SHOW);
	        m_pStaticTimeOutMinute->ShowWindow(SW_SHOW);//*/
	   }
       



		}

     UpdateData(FALSE);

}







void DlgShutDown::OnTimer(UINT nIdEvent)
{
	UpdateData(true);
  
       int nHour;
	  int nMinute;
	  int nSecond;
      


	if(nIdEvent==1)
	{
	CTime time=CTime::GetCurrentTime();
	m_szCurrentTime.Format("%d : %d : %d",time.GetHour(),time.GetMinute(),time.GetSecond());
	
	}///  1

	if(nIdEvent==ID_START_TIMER)
	{

	 
	CTime m_CTime=CTime::GetCurrentTime();
     m_szCurrentTime.Format("%d : %d : %d",m_CTime.GetHour(),m_CTime.GetMinute(),m_CTime.GetSecond());
      
    if(m_nRadioDate==0)
	{
	   nHour=m_nHour-m_CTime.GetHour();
	   nMinute=m_nMinute-m_CTime.GetMinute()-1;
	   nSecond=abs(60-m_CTime.GetSecond());
      
	  if(nSecond==60)nSecond=0;
	  
	  if(nMinute<0)
	  {
		  if(nHour>0)nHour--;
		  nMinute=60-abs(nMinute);
	  }
  	m_szTimeLeft.Format("Time Left:Hour : %d Minute : %d  Second: %d",nHour,nMinute,nSecond);
	   
	 if((m_CTime.GetHour()==m_nHour)&&(m_CTime.GetMinute()==m_nMinute))
	   {
            
			UpdateData();
			this->OnShutDown(m_nRadioValue);
       }

	}///m_nRadio
   
	if(m_nRadioDate==1)
	{
      CTime m_CTime=CTime::GetCurrentTime();
     m_szCurrentTime.Format("%d : %d : %d",m_CTime.GetHour(),m_CTime.GetMinute(),m_CTime.GetSecond());  
      
	 

     m_szTimeLeft.Format("Time Left:Hour : %d Minute : %d  Second: %d",m_nTimeOutHour,m_nTimeOutMinute-1,60-m_nTimeOutSecond);
      
	 if((m_nTimeOutHour==0)&&(m_nTimeOutMinute==0))
	   {
         
			UpdateData();
			this->OnShutDown(m_nRadioValue);
       }
      
      m_nTimeOutSecond++;
	 if(m_nTimeOutSecond==60)
	 {
		 if(m_nTimeOutMinute>0)
		 {
		 m_nTimeOutMinute--;m_nTimeOutSecond=0;
		 }
	 }
	 if(m_nTimeOutMinute==0)
	 {
		 if(m_nTimeOutHour>0){m_nTimeOutMinute=59;m_nTimeOutHour--;}
	 }//end first if

	}
    
	    
	}///end ID_START_ALARM  
  
	UpdateData(FALSE);

}





 void DlgShutDown::OnDestroy()
 {
 Shell_NotifyIcon(NIM_DELETE,&m_niData);
 }


void DlgShutDown::OnSystemBarMessage(WPARAM wParam, LPARAM lParam)
{
	
switch(lParam)
{
case WM_LBUTTONDOWN:this->ShowWindow(SW_RESTORE);this->ShowWindow(SW_SHOW);bMiniShow=FALSE; break;
case WM_RBUTTONDOWN:
	{
		CMenu mnu;
		mnu.LoadMenu(IDR_MENU1);
  //CMenu *PopUpMenu;
		
		PopUpMenu=mnu.GetSubMenu(0);

		SetForegroundWindow();
		CPoint pt;
		GetCursorPos(&pt);
             
		PopUpMenu->TrackPopupMenu(TPM_RIGHTALIGN,pt.x,pt.y,this);
	
	
	//this->ShowWindow(SW_MINIMIZE);
	break;
   
	}
	}


}




void DlgShutDown::OnPaint()
{
CPaintDC m_ClientDC(this);
  CBitmap m_nTitleBar;
  m_nTitleBar.LoadBitmap(IDB_TITLEBAR);
CDC m_MainDC;
m_MainDC.CreateCompatibleDC(&m_ClientDC);
m_MainDC.SelectObject(&m_nTitleBar);
//m_ClientDC.BitBlt(0,0,200,30,&m_MainDC,0,0,SRCCOPY);
m_ClientDC.StretchBlt(0,5,390,35,&m_MainDC,0,0,150,18,SRCCOPY);
	CDialog::OnPaint();

}



      void DlgShutDown::OnShutDown(UINT nID)
      {
      
      OSVERSIONINFO osVersion;
      GetVersionEx(&osVersion);
      
     
      HANDLE hToken;              // handle to process token 
      TOKEN_PRIVILEGES tkp;       // pointer to token structure 
       
      
      OpenProcessToken(GetCurrentProcess(), 
              TOKEN_ADJUST_PRIVILEGES | TOKEN_QUERY, &hToken) ;
       
      // Get the LUID for shutdown privilege. 
       
      LookupPrivilegeValue(NULL, SE_SHUTDOWN_NAME, 
              &tkp.Privileges[0].Luid); 
       
      tkp.PrivilegeCount = 1;  // one privilege to set    
      tkp.Privileges[0].Attributes = SE_PRIVILEGE_ENABLED; 
       
      // Get shutdown privilege for this process. 
       
      AdjustTokenPrivileges(hToken, FALSE, &tkp, 0, 
          (PTOKEN_PRIVILEGES) NULL, 0); 
       
      // Cannot test the return value of AdjustTokenPrivileges. 
       
      //if (GetLastError() != ERROR_SUCCESS) 
       //  MessageBox("AdjustTokenPrivileges enable failed."); 
      
      
      UpdateData();
      
      int nArgument;
      
      switch(nID)
      {
      
      case 0:nArgument=EWX_REBOOT; break;
      case 1:nArgument=EWX_SHUTDOWN; break;
      case 2:nArgument=EWX_POWEROFF; break;
      case 3:nArgument=EWX_LOGOFF;
      
      }
      	
      
     ExitWindowsEx(nArgument,EWX_FORCE);
	 this->EndDialog(0);
	// MessageBox("hi");
     
      }






void DlgShutDown::OnStopTimer()
{
//Showing Hidden member
   
	if(m_nRadioDate==0)
	{
	 m_pEditHour->ShowWindow(SW_SHOW);
     m_pEditMinute->ShowWindow(SW_SHOW);
     
     m_pStaticGroupSetTime->ShowWindow(SW_SHOW);
     m_pStaticHour->ShowWindow(SW_SHOW);
     m_pStaticMinute->ShowWindow(SW_SHOW);
   
     m_psliderHour->ShowWindow(SW_SHOW);
     m_psliderMinute->ShowWindow(SW_SHOW);
    }
	else
	{
      m_pStaticGroupTimeOut->ShowWindow(SW_SHOW);
			m_pStaticTimeOutHour->ShowWindow(SW_SHOW);
			m_pEditTimeOutMinute->ShowWindow(SW_SHOW);
	        m_pEditTimeOutHour->ShowWindow(SW_SHOW);
	        m_pStaticTimeOutMinute->ShowWindow(SW_SHOW);
	  

	}
	//common
	m_pBtSetTimer->ShowWindow(SW_SHOW);
	
	//showing radio button  
	   m_pStaticGroupProperties->ShowWindow(SW_SHOW);
	m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO_RESTART);
     m_pRadioButton->ShowWindow(SW_SHOW);
    
     m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO2);
     m_pRadioButton->ShowWindow(SW_SHOW);
    
	 m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO3);
     m_pRadioButton->ShowWindow(SW_SHOW);
    
	 m_pRadioButton=(CStatic*)GetDlgItem(IDC_RADIO4);
     m_pRadioButton->ShowWindow(SW_SHOW);
    
        m_pStaticGroupType->ShowWindow(SW_SHOW);
	    m_pStaticAlarm->ShowWindow(SW_SHOW);
    	m_pStaticTimeout->ShowWindow(SW_SHOW);
        m_pSliderDate->ShowWindow(SW_SHOW);
   ///Hiding Visible Member

    m_pGroupTimeLeft->ShowWindow(SW_HIDE);
	m_pStTimeLeft->ShowWindow(SW_HIDE);
	m_pBtPauseTimer->ShowWindow(SW_HIDE);
    m_pButtonPauseAlarm->ShowWindow(SW_HIDE);
     m_pButtonStartAlarm->ShowWindow(SW_HIDE);
	 m_pStaticPaused->ShowWindow(SW_HIDE);
  ///setting timer	 
	 KillTimer(ID_START_TIMER);
	 SetTimer(1,1000,NULL);
	 bShow=FALSE;
    this->OnTimer(1);
}




void DlgShutDown::OnShutdownNow()
{
OnShutDown(1);
}

void DlgShutDown::OnAboutHelp()
{
MessageBox("THIS APPLICATION WORKS ON ALL OPERATING SYSTEM MADE BY WINDOWS\n\nHELP : FOR ALARM :- JUST USE SLIDER TO SHUTDOWN AT FEEDED TIME \n\nHELP : FOR TIMEOUT:- JUST FILL HOUR AND MINUTE AFTER YOU WANT TO CLOSEDOWN YOUR COMPUTER\n\nMADE BY ALOK GUPTA & AMIT MEHTA \nVisit US at HTTP://ALOK.STORMPAGES.COM OR MAIL AT amit_hdr@yahoo.com\n COPYRIGHT MY FATHER SOFTWARE","SHUT DOWN TIMER",MB_OK|MB_ICONINFORMATION);
}

void DlgShutDown::OnRestart()
{
OnShutDown(0);
}

void DlgShutDown::OnLogOff()
{
OnShutDown(3);
}

void DlgShutDown::OnPowerOff()
{
OnShutDown(2);
}

void DlgShutDown::OnOpenAlarm()
{
	this->ShowWindow(SW_RESTORE);

}

void DlgShutDown::OnPauseTimer()
{

   if(bShow==TRUE)
	 if(bShowPaused==TRUE)
	{
     KillTimer(ID_START_TIMER);
	SetTimer(1,1000,NULL);

	m_pStaticPaused->ShowWindow(SW_SHOW);
    bShowPaused=FALSE;
	m_pButtonPauseAlarm->ShowWindow(SW_HIDE);
	m_pButtonStartAlarm->ShowWindow(SW_SHOW);
	 }
	 else
	{
		 KillTimer(1);
    SetTimer(ID_START_TIMER,1000,NULL);

	m_pStaticPaused->ShowWindow(SW_HIDE);
	bShowPaused=TRUE;
	m_pButtonPauseAlarm->ShowWindow(SW_SHOW);
	m_pButtonStartAlarm->ShowWindow(SW_HIDE);
	
	this->OnTimer(ID_START_TIMER);
	}

}



void DlgShutDown::OnRadioRestart()
{
	m_btShutDown->ShowWindow(SW_HIDE);
   	m_btShutDown=(CButton*)GetDlgItem(IDC_BTRESTART);
    m_btShutDown->ShowWindow(SW_SHOW);   

}

void DlgShutDown::OnRadioPowerOff()
{
	m_btShutDown->ShowWindow(SW_HIDE);
   	m_btShutDown=(CButton*)GetDlgItem(IDC_BTPOWEROFF);
    m_btShutDown->ShowWindow(SW_SHOW);   
}

void DlgShutDown::OnRadioShutDown()
{
	m_btShutDown->ShowWindow(SW_HIDE);
   	m_btShutDown=(CButton*)GetDlgItem(IDC_BTSHUTDOWNNOW);
    m_btShutDown->ShowWindow(SW_SHOW);   
		
}

void DlgShutDown::OnRadioLogOff()
{
	m_btShutDown->ShowWindow(SW_HIDE);
   	m_btShutDown=(CButton*)GetDlgItem(IDC_BTLOGOFF);
    m_btShutDown->ShowWindow(SW_SHOW);   
		
}

void DlgShutDown::OnSize(int x, int y)
{

   CString g;
   g.Format("%d%d",x,y);

   if(g=="10"){
	   //  this->OnMiniMizeShutDownTimer();

	   }
   



}

void DlgShutDown::OnMiniMizeShutDownTimer()
{
	this->ShowWindow(SW_HIDE);
    bMiniShow=TRUE;

}

void DlgShutDown::OnExitAlarm()
{

	
	this->EndDialog(0);

PostQuitMessage(0);
}
