// DlgShutDown.h: interface for the DlgShutDown class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DLGSHUTDOWN_H__E8596BAE_9FF1_466F_862A_EAC0ECF49AEB__INCLUDED_)
#define AFX_DLGSHUTDOWN_H__E8596BAE_9FF1_466F_862A_EAC0ECF49AEB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include<afxwin.h>
#include"resource.h"
#include <afxcmn.h>




class DlgShutDown  : public CDialog
{
public:
	BOOL bMiniShow;
	void OnExitAlarm();
	void OnMiniMizeShutDownTimer();

	CDC m_MainDC;
	CBitmap m_nTitleBar;
	void OnSize(int x,int y);
	void OnRadioShutDown();
	void OnRadioPowerOff();
	CPoint m_ptMovePoint;
	
	bool m_bWindowMove;
	CButton *m_pButtonStartAlarm;
	CButton *m_pButtonPauseAlarm;
	BOOL bShowPaused;
	CStatic *m_pStaticPaused;
	void OnPauseTimer();
	void OnOpenAlarm();
	void OnPowerOff();
	void OnLogOff();
	CButton *m_btShutDown;
	
	void OnShutdownNow();
	int m_nTimeOutMinute;
	CSliderCtrl *m_pSliderDate;
	int m_nRadioDate;
	void OnDestroy();
	void OnSetTimer();
	void OnShutDown(UINT nId);
	void OnStopTimer();
	CFont m_ftSecondFont;
	CString m_szTimeLeft;
	int m_nMinute;
	int m_nHour;

	
	
	CPoint m_ptTempPt;
	CRect m_crWndRect;
	void OnPaint();
	bool bShow;
	void OnSystemBarMessage(WPARAM wParam,LPARAM lParam);
	HICON m_Icon;
	NOTIFYICONDATA m_niData;
	int m_nRadioValue;
	void OnTimer(UINT nIdEvent);
    void OnHScroll(UINT nSBCode,UINT nPos,CScrollBar *pScrollBar);
	CFont m_ftArialFont;
	CString m_szCurrentTime;
	CStatic *m_pstCurrentTime;

	CStatic *m_pstMinute;
	CSliderCtrl *m_psliderMinute;
	CSliderCtrl *m_psliderHour;
	CStatic *m_pstHour;
	int m_neditMinute;
	int m_neditHour;
	void DoDataExchange(CDataExchange *pDx);
	BOOL OnInitDialog();

	DlgShutDown():CDialog(IDD_DIALOG_SHUTDOWN)
	{
		m_neditHour=m_neditMinute=0;
	};
DECLARE_MESSAGE_MAP()
private:

	///time out member variable
    CStatic *m_pStaticGroupTimeOut;
	CStatic *m_pStaticTimeOutHour;
	CEdit *m_pEditTimeOutMinute;
	CEdit *m_pEditTimeOutHour;
	CStatic *m_pStaticTimeOutMinute;
	int m_nEditTimeOutHour;
    int m_nEditTimeOutMinute;
	
	////TYPE MEMBER
    CStatic *m_pStaticGroupType;
	CStatic *m_pStaticAlarm;
	CStatic *m_pStaticTimeout;
		


private:
	void OnRadioLogOff();
	void OnRadioRestart();
	CString m_szStaticPaused;
	CMenu *PopUpMenu;
	void OnRestart();
	void OnAboutHelp();
	
	int m_nTimeOutSecond;
	int m_nTimeOutHour;
	//alarm member variable
	CStatic *m_pStaticGroupProperties;
	CStatic *m_pRadioButton;
	CButton *m_pBtPauseTimer;
	CButton *m_pBtSetTimer;
	CStatic *m_pStaticMinute;
	CStatic *m_pStaticGroupSetTime;
	CStatic *m_pStaticHour;
	CEdit *m_pEditMinute;
	CEdit *m_pEditHour;
	CStatic *m_pStTimeLeft;
	CStatic *m_pGroupTimeLeft;



};

#endif // !defined(AFX_DLGSHUTDOWN_H__E8596BAE_9FF1_466F_862A_EAC0ECF49AEB__INCLUDED_)
